#ifndef CMS_CERTINFO_COLLECTION_H_INCLUDED
#define  CMS_CERTINFO_COLLECTION_H_INCLUDED

#include <vector>

#include "cms/icert_infos.h"
#include "../common/common.h"
#include "../stdafx.h"

#include "cert_info.h"

class CertInfoCollection : public ICertInfoCollection {
public:
    CertInfoCollection();
    ~CertInfoCollection();

    //methods
    void push(Handle<ICertInfo> certinfo);
    void pop();
    int length();
    Handle<ICertInfo> items(int index);

private:
    std::vector<Handle<ICertInfo>> _cert_infos;
};

#endif //!CMS_CERTINFO_COLLECTION_H_INCLUDED
